# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
import settings
from views import MigrationView, MigrationStatusView, HostListView, SwitchableView, SuccessView

if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', lambda r: HttpResponseRedirect('./migration/')),
        url(r'^migration/$', MigrationView.as_view()),
        url(r'^status/$', MigrationStatusView.as_view()),
        url(r'^hostlist/$', HostListView.as_view()),
        url(r'^switchable/$', SwitchableView.as_view()),
        url(r'^success/$', SuccessView.as_view()),
    )
else:
    urlpatterns = patterns('',)
